Skip to content
Start Trading

Get Instruments

GET/v1/instruments

Retrieves a list of tradeable instruments.

Query ParametersExpand Collapse
easy_to_borrow: optional boolean

Filter by easy to borrow status

instrument_ids: optional array of string

Comma-separated instrument identifiers: unique identifiers or symbols (symbol for equities, OSI for options)

instrument_type: optional "COMMON_STOCK" or "OPTION" or "CASH"

Filter by instrument type (e.g. COMMON_STOCK, OPTION)

One of the following:
"COMMON_STOCK"
"OPTION"
"CASH"
is_liquidation_only: optional boolean

Filter by liquidation only status

is_marginable: optional boolean

Filter by marginable status

is_ptp: optional boolean

Filter by publicly traded partnership (PTP) status

is_short_prohibited: optional boolean

Filter by short prohibited status

is_threshold_security: optional boolean

Filter by threshold security status

page_size: optional number

The number of items to return per page. Only used when page_token is not provided.

formatint64
maximum1000
minimum1
page_token: optional string

Token for retrieving the next or previous page of results. Contains encoded pagination state; when provided, page_size is ignored.

formatbyte
ReturnsExpand Collapse
data: InstrumentCoreList { id, country_of_issue, currency, 19 more }
id: string

Unique instrument identifier (UUID)

formatuuid
country_of_issue: string

The ISO country code of the instrument’s issue

currency: string

The ISO currency code in which the instrument is traded

easy_to_borrow: boolean

Indicates if the instrument is classified as Easy-To-Borrow

is_fractionable: boolean

Indicates if the instrument supports fractional-quantity orders

is_liquidation_only: boolean

Indicates if the instrument is liquidation only and cannot be bought

is_marginable: boolean

Indicates if the instrument is marginable

is_ptp: boolean

Indicates if the instrument is a publicly traded partnership (PTP). PTP sales are subject to a 10% withholding tax for non-US tax residents.

is_short_prohibited: boolean

Indicates if short selling is prohibited for the instrument

is_threshold_security: boolean

Indicates if the instrument is on the Regulation SHO Threshold Security List

is_tradable: boolean

Indicates if the instrument is tradable

symbol: string

The trading symbol for the instrument

venue: string

The MIC code of the primary listing venue

adv: optional string

Average daily share volume from the security definition. When a null/undefined value is observed, it indicates that there is no available data.

Deprecatedexpiry: optional string

Deprecated. Always null. When a null/undefined value is observed, it indicates it does not apply.

formatdate
instrument_type: optional SecurityType

The type of security (e.g., Common Stock, ETF) When a null/undefined value is observed, it indicates that there is no available data.

One of the following:
"COMMON_STOCK"
"OPTION"
"CASH"
long_margin_rate: optional string

The percent of a long position’s value you must post as margin When a null/undefined value is observed, it indicates that there is no available data.

name: optional string

The full name of the instrument or its issuer When a null/undefined value is observed, it indicates that there is no available data.

notional_adv: optional string

Notional average daily volume (ADV multiplied by previous close price). When a null/undefined value is observed, it indicates that there is no available data.

previous_close: optional string

Last close price from the security definition. When a null/undefined value is observed, it indicates that there is no available data.

short_margin_rate: optional string

The percent of a short position’s value you must post as margin When a null/undefined value is observed, it indicates that there is no available data.

Deprecatedstrike_price: optional string

Deprecated. Always null. When a null/undefined value is observed, it indicates it does not apply.

Get Instruments

curl https://api.clearstreet.com/v1/instruments \
    -H "Authorization: Bearer $API_KEY"
{
  "data": [
    {
      "country_of_issue": "US",
      "currency": "USD",
      "easy_to_borrow": true,
      "id": "0f5a1a4e-5b3e-4d8f-9b7a-2b1d0e3f4a5b",
      "instrument_type": "COMMON_STOCK",
      "is_fractionable": false,
      "is_liquidation_only": false,
      "is_marginable": true,
      "is_ptp": false,
      "is_short_prohibited": false,
      "is_threshold_security": false,
      "is_tradable": true,
      "name": "Apple Inc.",
      "symbol": "AAPL",
      "venue": "XNMS"
    }
  ],
  "error": null,
  "metadata": {
    "next_page_token": "cGFnZT0yJmxhc3Rfc3ltYm9sPUdNRQ==",
    "page_number": 1,
    "request_id": "4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d",
    "total_items": 10,
    "total_pages": 5
  }
}
Returns Examples
{
  "data": [
    {
      "country_of_issue": "US",
      "currency": "USD",
      "easy_to_borrow": true,
      "id": "0f5a1a4e-5b3e-4d8f-9b7a-2b1d0e3f4a5b",
      "instrument_type": "COMMON_STOCK",
      "is_fractionable": false,
      "is_liquidation_only": false,
      "is_marginable": true,
      "is_ptp": false,
      "is_short_prohibited": false,
      "is_threshold_security": false,
      "is_tradable": true,
      "name": "Apple Inc.",
      "symbol": "AAPL",
      "venue": "XNMS"
    }
  ],
  "error": null,
  "metadata": {
    "next_page_token": "cGFnZT0yJmxhc3Rfc3ltYm9sPUdNRQ==",
    "page_number": 1,
    "request_id": "4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d",
    "total_items": 10,
    "total_pages": 5
  }
}